%define module_name	usbatm
%define module_version	20050216
%define module_release	alt0.1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release

Summary: Driver for ADSL USB modem - module sources

License: Distributable
Group: Development/Kernel
Url:http://sourceforge.net

BuildArch: noarch

Source0: %module_name-%version.tar.bz2
#patch for support ZyXEL OMNI ADSL USB EE
#Patch1: cxacru-module-ZyXEL_OMNI_ADSL_USB_EE-add-support.patch

%description
Driver for ADSL USB modem - module sources

%prep
%setup -q -n drivers/usb
# -n %module_name-%version

#%patch1 -p1

#disable depmod in makefile
#%__subst "s|depmod|#depmod|" module2/Makefile

%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
mv atm kernel-source-%module_name-%module_version
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> 20050216-alt0.1
- initial build for ALT Linux Sisyphus
